upgrading to devscripts 2.14.6 failed: devscripts.el:19:1:Error: Cannot open load file: mcharset

Bug #1369333 reported by Reinhard Tartler on 2014-09-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
emacs-goodies-el (Debian)
Fix Released
Unknown
emacs-goodies-el (Ubuntu)
High
Unassigned

Bug Description

>> cat /tmp/elc_sjtjLr.log (master↑1|✔) :0
emacs24 -q -batch -l path.el -f batch-byte-compile devscripts.el pbuilder-log-view-mode.el pbuilder-mode.el
Loading 00debian-vars...
Loading /etc/emacs/site-start.d/20apel.el (source)...
Loading /etc/emacs/site-start.d/50auctex.el (source)...
Loading /usr/share/emacs/site-lisp/auctex.el (source)...
Loading /usr/share/emacs/site-lisp/preview-latex.el (source)...
Loading /etc/emacs/site-start.d/50autoconf.el (source)...
Loading /etc/emacs/site-start.d/50devscripts-el.el (source)...
Package devscripts-el not fully installed. Skipping setup.
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...
Info: Skip debian-el loading if run under dpkg control.
Loading /etc/emacs/site-start.d/50dpkg-dev-el.el (source)...
Loading /etc/emacs/site-start.d/50elserv.el (source)...
Loading /etc/emacs/site-start.d/50emacs-goodies-el.el (source)...
Loading /etc/emacs/site-start.d/50flim.el (source)...
Loading /etc/emacs/site-start.d/50golang-mode.el (source)...
Loading /etc/emacs/site-start.d/50psvn.el (source)...
Loading /etc/emacs/site-start.d/50pylint.el (source)...
Loading pylint...
Loading /etc/emacs/site-start.d/50pymacs.el (source)...
Loading /etc/emacs/site-start.d/50python-docutils.el (source)...
Loading /etc/emacs/site-start.d/50xcscope-el.el (source)...
Loading /etc/emacs/site-start.d/50yaml-mode.el (source)...
Loading /etc/emacs/site-start.d/51debian-el.el (source)...

In toplevel form:
devscripts.el:19:1:Error: Cannot open load file: mcharset

In toplevel form:
pbuilder-log-view-mode.el:19:1:Error: Cannot open load file: mcharset

In toplevel form:
pbuilder-mode.el:19:1:Error: Cannot open load file: mcharset

Reinhard Tartler (siretart) wrote :
affects: devscripts (Ubuntu) → emacs-goodies-el (Ubuntu)
Reinhard Tartler (siretart) wrote :

the fix proposed in the related branch unbroke the upgrade for me

Changed in emacs-goodies-el (Ubuntu):
importance: Undecided → High
Changed in emacs-goodies-el (Debian):
status: Unknown → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package emacs-goodies-el - 35.12ubuntu1

---------------
emacs-goodies-el (35.12ubuntu1) wily; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian-changelog-mode.el: Teach about Ubuntu releases.
    - Includes a fix for LP: #1369333
  * Add wily to the list of allowed series.

emacs-goodies-el (35.12) unstable; urgency=medium

  * Bug fix: "please switch to emacs24", thanks to Gabriele Giacone
    (Closes: #754007).

emacs-goodies-el (35.11) unstable; urgency=medium

  * Complete dpatch -> quilt transition from 31.7 by removing dpatch code
    from debian/patch/* files
  * Quieten lintian warnings by removing executable bits from almost all
    files
  * Include make-orig.sh in source distribution (cvs-buildpackage does
    this anyway)
  * vm-bonus-el package removed - it's ancient and barely used anymore
  * Remove gnus-bonus-el from the source package (the binary package was
    removed in 35.6). This closes the bugs against it, even though they
    have not been fixed (Closes: #570276, #448441, #236919, #597035,
    #609698, #648607)
  * Fix piuparts error with a temporary patch, until emacsen-common (or
    whatever the true source of the bug is) is fixed. (Closes: #737202)
  * Add emacsen compat files (in line with new policy and current
    debhelper behaviour)
  * Rewrite rules to use nice debhelper stuff; have explicity quilt
    build-dependency
  * Rewrite copyright files to use DEP-5/copyright-format-1.0
  * Update Standards-Version

emacs-goodies-el (35.10) unstable; urgency=medium

  * Bug fix: "M-x debian-bug does not run bug script if it is a symlink",
    thanks to Sven Joachim for the patch and sorry for the long delay
    (Closes: #679390)

emacs-goodies-el (35.9) unstable; urgency=medium

  * dpkg-dev-el
  - debian-changelog-mode.el Bug fix: "default urgency to medium", thanks
    to Jonathan Wiltshire (Closes: #731105).
  * Bug fix: "fails to upgrade lenny -> squeeze -> wheezy ->
    jessie", thanks to Andreas Beckmann (Closes: #730066, #730069). Skip
    byte-compilation of markdown-mode.el for obsolete emacs22. I am
    surprsied that the lack of handling of such old versions gets a
    package kicked out of testing!

 -- Reinhard Tartler <email address hidden> Sun, 14 Jun 2015 14:48:46 -0400

Changed in emacs-goodies-el (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.